| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::Matrix< TYP > Class Template Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::Matrix< TYP >:

[legend]
Collaboration diagram for NTuple::Matrix< TYP >:

[legend]
List of all members.

## Detailed Description

### template<class TYP>
class NTuple::Matrix< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 340 of file NTuple.h.

## Public Member Functions
| Matrix ()
| Standard Constructor.
template<class T>
Matrix & | operator= (const Matrix< T > &copy)
| Assignment operator.
template<class T>
TYP * | operator[] (const T i)
| Array operator.
template<class T>
const TYP * | operator[] (const T i) const
| Array operator.
virtual | ~Matrix ()

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Matrix< TYP >::Matrix | ( |  | ) | `[inline]`

Standard Constructor.

Definition at line 343 of file NTuple.h.

    00343 {    }

template<class TYP>

virtual NTuple::Matrix< TYP >::~Matrix | ( |  | ) | `[inline, virtual]`

Definition at line 356 of file NTuple.h.

    00356 {}

## Member Function Documentation

template<class TYP>
template<class T>

Matrix& NTuple::Matrix< TYP >::operator= | ( | const Matrix< T > & | copy | ) | `[inline]`

Assignment operator.

Definition at line 346 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00346                                              {
    00347       *(this->m_ptr) = *(copy.operator->());
    00348       return *this;
    00349     }

template<class TYP>
template<class T>

TYP* NTuple::Matrix< TYP >::operator[] | ( | const T | i | ) | `[inline]`

Array operator.

Definition at line 352 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00352 { return this->m_ptr->column(i); }

template<class TYP>
template<class T>

const TYP* NTuple::Matrix< TYP >::operator[] | ( | const T | i | ) | const`[inline]`

Array operator.

Definition at line 355 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00355 { return this->m_ptr->column(i); }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h